## org.apache.axis.encoding.ser
Class BaseFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory

Direct Known Subclasses:
  BaseDeserializerFactory, BaseSerializerFactory

public abstract class BaseFactory
extends java.lang.Object

Base Factory for BaseDeserializerFactory and BaseSerializerFactory. Code Reuse for the method cache

Author:
  Davanum Srinivas <dims@yahoo.com>

Constructor Summary
`BaseFactory()`

Method Summary
`protected java.lang.reflect.Method` `getMethod(java.lang.Class clazz, java.lang.String methodName)` Returns the the specified method - if any.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseFactory

    public BaseFactory()

Method Detail

### getMethod

    protected java.lang.reflect.Method getMethod(java.lang.Class clazz,
                                                 java.lang.String methodName)

  Returns the the specified method - if any.

Copyright © 2005 Apache Web Services Project. All Rights Reserved.